# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/soc/fsl/fsl,vf610-src.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Freescale vf610 System Reset Controller (SRC)

maintainers:
  - Frank Li <Frank.Li@nxp.com>

description:
  IC reference manual calls it as SRC, but it is not module as reset
  controller, which used to reset individual device. SRC works as reboot
  controller, which reboots whole system. It provides a syscon interface to
  syscon-reboot.

properties:
  compatible:
    items:
      - enum:
          - fsl,vf610-src
      - const: syscon

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

required:
  - compatible
  - reg
  - interrupts

additionalProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>

    syscon@4006e000 {
        compatible = "fsl,vf610-src", "syscon";
        reg = <0x4006e000 0x1000>;
        interrupts = <96 IRQ_TYPE_LEVEL_HIGH>;
    };

